#ifndef HASHMAP_H
#define HASHMAP_H

typedef struct hm_t hm_t;
typedef struct entry_t entry_t;

hm_t *hm_create(unsigned int length);
void hm_destroy(hm_t **hm);
hm_t *hm_set(hm_t *hm, const char *const key, const char *const value);
char *hm_get(const hm_t *const hm, const char *const key);
char *hm_rm(hm_t *hm, const char *const key);
char *hm_to_str(const hm_t *const hm);
void hm_print(const hm_t *const hm);

#endif
